<?php

class Teamtable
{
    public PDO $dbh;

    public function __construct(Database $database)
    {
        $this->dbh = $database->conn;
    }

    public function getTable(): array
    {
        $sth = $this->dbh->query('SELECT * FROM lagtabell');
        return $sth->fetchAll(PDO::FETCH_ASSOC);
    }

    public function deleteTeamByID(int $LagID): void
    {
        $sth = $this->dbh->prepare('DELETE FROM lagtabell WHERE LagID = ?');
        $sth->execute([$LagID]);
    }

    public function getTeamByID(int $LagID) # Mixed, array if exists, false if not
    {
        $sth = $this->dbh->prepare('SELECT * FROM lagtabell WHERE LagID = ?');
        $sth->execute([$LagID]);
        return $sth->fetch(PDO::FETCH_ASSOC);
    }

    // why this is so long who cares???
    public function updateTeamByID(
        int $id,
        string $LagNavn,
        string $Bedrift,
        string $Kortnummer,
        string $Lagleder,
        int $Telefon,
        string $Deltagere,
        int $Runder
    ): void
    {
        $sth = $this->dbh->prepare('UPDATE lagtabell SET LagNavn = ?, Bedrift = ?, Kortnummer = ?, Lagleder = ?, Telefon = ?, Deltagere = ?, Runder = ? WHERE LagID = ?');
        $sth->execute([$LagNavn, $Bedrift, $Kortnummer, $Lagleder, $Telefon, $Deltagere, $Runder, $id]);
    }

    public function addTeam(): int
    {
        // todo ...
    }
}